Multiplayer Hub Logo  
  Powered by Noble Master Games, http://www.noblemaster.com Multiplayer Dragon
  Forums Twitter Dev. Blog ⊕  
Home > Forums

MultiplayerHub.com
» Forums|New Posts
» Twitter
» Dev. Blog
» About
» Contact Us
Showcase
» Age of Conquest
» Demise of Nations
» Retro Commander

































Multiplayer Forums


Board index » Games » Age of Conquest (AOC) » AOC: Technical Support


Post new topic Reply to topic  [ 6 posts ] 
Author Message
 Post subject: Linux: unable to launch .sh-installer
PostPosted: 02 Dec 2012, 03:25 
Serf
Serf

Joined: 28 Dec 2007, 21:59
Posts: 13
Hi,

on my system (Archlinux 3.6.7-1-ARCH, x86_64), neither the "Linux Installer" or
"Linux Installer /w JRE" starts (after chmod +x):

Code:
[martin@laptop64 ~]$ ./age_of_conquest_online_unix_e02.sh

gzip: sfx_archive.tar.gz: not in gzip format

I am sorry, but the installer file seems to be corrupted. If you downloaded that file please try it again. If you transfer that file with ftp please make sure that you are using binary mode.

I did a new download, and I'm not really a linux pro, so I do not know if perhaps my 64bit system is a problem or something else? My internet research just said, that other projects really had a broken file -> is it the issue here, too?

Thanks and regards
Martin

_________________
Image


Top
 Profile  
 
 Post subject: Re: Linux: unable to launch .sh-installer
PostPosted: 02 Dec 2012, 04:35 
Knight
Knight
User avatar

Joined: 12 Jul 2007, 15:10
Posts: 2212
Location: Aevum Obscurum
I'm also running 64bit linux, so I don't think that's the issue.

Can you try the Webstart version that's listed in the download page?

_________________
Image

Image


Top
 Profile  
 
 Post subject: Re: Linux: unable to launch .sh-installer
PostPosted: 02 Dec 2012, 08:38 
Serf
Serf

Joined: 28 Dec 2007, 21:59
Posts: 13
Thanks for Your answer.

Web Start does not run either: The splash screen appears, also the "intro sound" but then I just get a black screen...

:/

_________________
Image


Top
 Profile  
 
 Post subject: Re: Linux: unable to launch .sh-installer
PostPosted: 02 Dec 2012, 20:55 
Game Developer
Game Developer
User avatar

Joined: 17 Apr 2005, 02:34
Posts: 8384
Location: Honolulu
Mhh, could you try the Linux installer "/w JRE"? Maybe there is a problem with your default Java installation?

i.e. try:
http://www.ageofconquest.com/download/s ... ith_jre.sh

_________________
play: Age of Conquest IV


Top
 Profile  
 
 Post subject: Re: Linux: unable to launch .sh-installer
PostPosted: 03 Dec 2012, 09:06 
Serf
Serf

Joined: 28 Dec 2007, 21:59
Posts: 13
Hi.
Thanks for Your support.

First of all, I switched from openjdk to Oracle jdk. Now, at least the web starter works, but the handling is very slow and AO just stops after clicking some things (mail/clan wall)...

Launching the installer? Results in the same error as #1 in the beginning...

Well, workaround: Starting Windows in my VirtualBox -.-

I'll try it in a month or later after some updates on my Archlinux...

Thanks and regards
Martin

_________________
Image


Top
 Profile  
 
 Post subject: Re: Linux: unable to launch .sh-installer
PostPosted: 03 Dec 2012, 13:41 
Knight
Knight
User avatar

Joined: 12 Jul 2007, 15:10
Posts: 2212
Location: Aevum Obscurum
Which version of Oracle JDK did you install? I know that the game has issues under Java 7 on the Mac (locks up, can't login, etc), but I've not tried it on Linux. I do not feel that adventurous. :headbash:

I also know that OpenJDK is not quite ready from my own personal experiences with it. AoC does not work properly with it. Anything from frequent crashes to random bugs in the game. All of that went away when I switched to Sun's last version of Java.

_________________
Image

Image


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 6 posts ] 


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
Green Smilies by http://www.greensmilies.com/

Home  |  Forums  |  Twitter  |  Dev. Blog  |  About  |  Contact